HIDDENCAT categorizes images and pages
Closed, ResolvedPublic

Description

When used on an image description or any other page, HIDDENCAT categorizes the page in [[Category:{{MediaWiki:Hidden-category-category‎}}]]. This magicword should only work in categories.


Version: 1.12.x
Severity: minor
URL: http://commons.wikimedia.org/wiki/Category:Hidden_categories

bzimport added a project: MediaWiki-Categories.Via ConduitNov 21 2014, 10:02 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz13174.
adrianheine created this task.Via LegacyFeb 27 2008, 9:42 AM
adrianheine added a comment.Via ConduitFeb 27 2008, 9:55 AM

An example for an image with HIDDENCAT can be found at http://commons.wikimedia.org/wiki/Image:Tweeter_seda.jpg, the other files in http://commons.wikimedia.org/wiki/Category:Hidden_categories are directly placed in it due to a bot error.

brion added a comment.Via ConduitFeb 29 2008, 12:56 AM

Fixed in r31393; now only sets the hidden-category state if the page is a category page.

IAlex added a comment.Via ConduitMar 5 2008, 12:47 PM

Marking bug as Fixed.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.